Bug Hunting Session
Bug 52535 - EDITING: Copy / Paste as GDI Metafile without conditional cell background color
Summary: EDITING: Copy / Paste as GDI Metafile without conditional cell background color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-07-26 12:42 UTC by Rainer Bielefeld Retired
Modified: 2012-09-21 23:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (8.04 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-26 12:52 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-07-26 12:42:10 UTC
Steps how to reproduce with Server Installation of  "LibreOffice 3.6.0.2 rc  German UI/Locale [Build-ID:  815c576] on German WIN7 Home Premium (64bit) 

1. open attached "sample20.ods
2. Select D2:F8
3. <Contol+c> for Copy
4. open New Writer Document
5. Toolbar Icon 'Save As -> GDI Metafile'
   Bug: Cell Background E5 containing "1" is not shown green in Writer

Same in DRAW and when Paste to other LibO Version.

The problem happens when Copy in 3.6

Paste as bitmap works fine.

Worked with 3.5.5, so Regression.

I will still test when the bug has been introduced.
Comment 1 Rainer Bielefeld Retired 2012-07-26 12:52:45 UTC
Created attachment 64729 [details]
Sample Document
Comment 2 Rainer Bielefeld Retired 2012-07-26 13:50:55 UTC
Was ok with 
- MinGW Build 2012-06-24
- Server installation of  Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 475d0c5-829fc92-39746e8-206648e-fefd87]" (2012-02-14)

Still [Reproducible] with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: b0a7277]" (tinderbox:Win-x86@6, pull time 2012-07-24 06:37:14)


CRASH with Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: a502549]" (tinderbox: Win-x86@6-fast, pull time 2012-05-31 07:33:55) when I pasted CALC contents with conditinal formatting
Also Crashed:
server-installation of Master "3.7.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: b255de8]" (tinderbox: Win-x86@6-fast, pull time 2012-06-05 23:16:58)

Later versions do no longer crash.

@Spreadsheet Team
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug  (and remove others in team from CC)
Comment 3 Markus Mohrhard 2012-07-26 15:01:58 UTC
You don't need to test for the time a conditional format regression has been introduced. They have been introduced all at the same time by my big merge of the new conditional format code.

I'll need to inspect the gdi metafile code to see if they support our conditional formats at all.
Comment 4 Markus Mohrhard 2012-09-18 17:45:03 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52031d3135b4f06bb7b33cfce84a58eec426731a

rows with cond formats don't have empty background, fdo#54661, fdo#52535



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Markus Mohrhard 2012-09-21 23:49:19 UTC
Fixed in 3-6-2 and 3-6. See Bug 54661 for details.

Please don't mark them as duplicates, one is a regression and one is part of a new feature.